channels.searchPosts
Globally search for posts from public channels » (including those we aren't a member of) containing either a specific hashtag, or a full text query. Exactly one of query and hashtag must be set.
Authorization
bearerAuth In: header
Path Parameters
Workspace ID
Telegram account ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Globally search for posts from public channels » (including those we aren't a member of) containing either a specific hashtag, or a full text query. Exactly one of query and hashtag must be set.
Response Body
application/json
application/json
curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/channels.searchPosts" \ -H "Content-Type: application/json" \ -d '{ "params": { "offsetRate": 0, "offsetPeer": { "_": "inputPeerEmpty" }, "offsetId": 0, "limit": 0 } }'{ "result": { "_": "messages.messages", "messages": [ { "_": "messageEmpty", "id": 0, "peerId": { "_": "peerUser", "userId": 0 } } ], "topics": [ { "_": "forumTopicDeleted", "id": 0 } ], "chats": [ { "_": "chatEmpty", "id": 0 } ], "users": [ { "_": "userEmpty", "id": 0 } ] }}restrictSponsoredMessages
Disable ads on the specified channel, for all users. Available only after reaching at least the [boost level »](https://core.telegram.org/api/boost) specified in the [channel_restrict_sponsored_level_min »](https://core.telegram.org/api/config#channel-restrict-sponsored-level-min) config parameter.
setBoostsToUnblockRestrictions
Admins with `RawChatAdminRights` may allow users that apply a certain number of [booosts »](https://core.telegram.org/api/boost) to the group to bypass `channels.RawToggleSlowModeRequest` and [other »](https://core.telegram.org/api/rights#default-rights) supergroup restrictions, see [here »](https://core.telegram.org/api/boost#bypass-slowmode-and-chat-restrictions) for more info.